/* ==========================================================
   VARIABILI GLOBALI PER IL CHECKOUT (Modificale se serve)
   ========================================================== */
.cuamm-checkout-page-wrapper{
    padding: 0 60px;
}

.cuamm-checkout-page-wrapper .checkout.woocommerce-checkout{
    display: flex;
    gap: 14px;
    padding-bottom: 80px;
	flex-wrap: wrap;
}

.cuamm-checkout-page-wrapper #wc-stripe-express-checkout-element,
.cuamm-checkout-page-wrapper #wc-stripe-express-checkout-button-separator,
.cuamm-checkout-page-wrapper wc-order-attribution-inputs {
    width: 100%; 
    margin-bottom: 0;
}

.cuamm-checkout-page-wrapper .container-content-checkout{
	display: flex;
    gap: 80px;
}

.cuamm-checkout-page-wrapper .checkout.woocommerce-checkout .woocommerce-error{
	width: 100%;
	background: var(--color-secondary);
    color: var(--color-background-white);
	border: 0;
	font-family: var(--typo-text-middle-regular-font);
    font-size: var(--typo-text-middle-regular-fs);
    font-weight: var(--typo-text-middle-regular-fw);
    line-height: var(--typo-text-middle-regular-lh);
    letter-spacing: var(--typo-text-middle-regular-ls);
	padding: 0.75rem 60px;
}

.cuamm-checkout-page-wrapper .checkout.woocommerce-checkout .woocommerce-error:before,.cuamm-checkout-page-wrapper .checkout.woocommerce-checkout .woocommerce-error:after{
	content: none;
}

.cuamm-checkout-page-wrapper #customer_details{
    display: flex;
    flex-direction: column;
}

.cuamm-checkout-page-wrapper #customer_details .col-1,.cuamm-checkout-page-wrapper #customer_details .col-2 {
    width: 100%;
}

.cuamm-checkout-page-wrapper .cuamm-checkout-inner-container .cuamm-page-header{
    text-align: center;
}

.cuamm-checkout-page-wrapper .cuamm-checkout-inner-container h3 {
    color: var(--color-primary);
    text-transform: uppercase;
    font-family: var(--typo-display-3-font);
    font-size: var(--typo-display-3-size);
    font-weight: var(--typo-display-3-fw);
    line-height: var(--typo-display-3-lh);
    letter-spacing: var(--typo-display-3-ls);
    border-bottom: 1px solid var(--color-neutral-beige-light);
    padding-bottom: 10px;
    margin-bottom: 25px;
    margin-top: 10px;
}

/* ==========================================================
   2. CAMPI DI TESTO (Input, Select, Textarea)
   ========================================================== */
.cuamm-checkout-page-wrapper .cuamm-checkout-inner-container .form-row label,.cuamm-checkout-page-wrapper .cuamm-checkout-inner-container .form-row input  {
    color: var(--color-text-black);
    margin-bottom: 5px;
    font-family: var(--typo-text-small-medium-font);
  font-size: var(--typo-text-small-size-medium);
  font-weight: var(--typo-text-small-medium-fw);
  line-height: var(--typo-text-small-medium-lh);
  letter-spacing: var(--typo-text-small-medium-ls);
}

.woocommerce form .form-row input.input-text, 
.woocommerce form .form-row textarea,
.woocommerce-checkout select {
    border: 2px solid var(--color-neutral-beige-medium-light);
    border-radius: 4px;
    padding: 12px 15px;
    color: var(--color-text-black);
    transition: border-color 0.3s ease;
    width: 100%;
}

.woocommerce form .form-row.woocommerce-invalid input.input-text{
    border: 2px solid var(--color-secondary)
}


/* ==========================================================
   3. TABELLA "IL TUO ORDINE"
   ========================================================== */
.woocommerce-checkout #order_review table.shop_table {
    border: 1px solid var(--color-neutral-beige-light);
    border-radius: 8px;
    border-collapse: separate;
    border-spacing: 0;
    overflow: hidden;
}

.woocommerce-checkout #order_review table th,
.woocommerce-checkout #order_review table td {
    padding: 15px;
    border-bottom: 1px solid var(--color-neutral-beige-light);
    font-family: var(--typo-text-small-medium-font);
  font-size: var(--typo-text-small-size-medium);
  font-weight: var(--typo-text-small-medium-fw);
  line-height: var(--typo-text-small-medium-lh);
  letter-spacing: var(--typo-text-small-medium-ls);
    color: var(--color-text-black);
}

/* Intestazioni tabella ordine */
.woocommerce-checkout #order_review table th {
    color: var(--color-primary);
    text-transform: uppercase;
    background-color: var(--cuamm-beige);
    font-family: var(--typo-title-1-font);
    font-size: var(--typo-title-1-size);
    font-weight: var(--typo-title-1-fw);
    line-height: var(--typo-title-1-lh);
    letter-spacing: var(--typo-title-1-ls);
}

.woocommerce-checkout #order_review table tfoot th {
    color: var(--color-primary);
    text-transform: uppercase;
    background-color: var(--cuamm-beige);
    font-family: var(--typo-title-1-font);
    font-size: var(--typo-title-1-size);
    font-weight: var(--typo-title-1-fw);
    line-height: var(--typo-title-1-lh);
    letter-spacing: var(--typo-title-1-ls);
}

/* ==========================================================
   4. RIQUADRO PAGAMENTI (Sostituiamo il viola con il beige)
   ========================================================== */
#add_payment_method #payment, 
.woocommerce-cart #payment, 
.woocommerce-checkout #payment {
    background-color: var(--color-background-white);
    border-radius: 8px;
    padding: 0px;
}

.cuamm-checkout-page-wrapper .cuamm-checkout-inner-container #payment .wc_payment_methods.payment_methods.methods{
    padding: 20px 0;
    border-top: 1px solid var(--color-neutral-beige-dark);
    border-bottom: 1px solid var(--color-neutral-beige-dark);
}

.cuamm-checkout-page-wrapper .cuamm-checkout-inner-container #payment .wc_payment_methods.payment_methods.methods li{
    font-family: var(--typo-text-small-medium-font);
  font-size: var(--typo-text-small-size-medium);
  font-weight: var(--typo-text-small-medium-fw);
  line-height: var(--typo-text-small-medium-lh);
  letter-spacing: var(--typo-text-small-medium-ls);
  color: var(--color-text-black);
  padding-bottom: 20px;
}

.cuamm-checkout-page-wrapper .cuamm-checkout-inner-container #payment .wc_payment_methods.payment_methods.methods li.wc_payment_method.payment_method_stripe fieldset{
    padding: 0;
    margin: 0;
    border: 0;
    padding-top: 20px;
}

.cuamm-checkout-page-wrapper .cuamm-checkout-inner-container #payment .wc_payment_methods.payment_methods.methods li.wc_payment_method.payment_method_stripe fieldset.wc-upe-form.wc-payment-form{
    padding: 0;
    margin: 0;
    border: 0;
}

.cuamm-checkout-page-wrapper .cuamm-checkout-inner-container #payment .form-row.place-order .woocommerce-terms-and-conditions-wrapper{
  font-family: var(--typo-text-middle-medium-font);
  font-size: var(--typo-text-middle-medium-fs);
  font-weight: var(--typo-text-middle-medium-fw);
  line-height: var(--typo-text-middle-medium-lh);
  letter-spacing: var(--typo-text-middle-medium-ls);
  color: var(--color-text-black);
}

/* Riquadro della spiegazione del metodo di pagamento (Bonifico, ecc.) */
#add_payment_method #payment div.payment_box, 
.woocommerce-cart #payment div.payment_box, 
.woocommerce-checkout #payment div.payment_box {
    color: var(--color-primary);
    border-radius: 4px;
    box-shadow: none;
    background-color: var(--color-neutral-beige-light);
    font-family: var(--typo-text-middle-medium-font);
  font-size: var(--typo-text-middle-medium-fs);
  font-weight: var(--typo-text-middle-medium-fw);
  line-height: var(--typo-text-middle-medium-lh);
  letter-spacing: var(--typo-text-middle-medium-ls);
}

#add_payment_method #payment div.payment_box p, 
.woocommerce-cart #payment div.payment_box p, 
.woocommerce-checkout #payment div.payment_box p {
    margin: 0;
}

#add_payment_method #payment div.payment_box::before, .woocommerce-cart #payment div.payment_box::before, .woocommerce-checkout #payment div.payment_box::before{
    content: none;
}

/* ==========================================================
   5. BOTTONE "EFFETTUA ORDINE"
   ========================================================== */
#add_payment_method #payment #place_order, 
.woocommerce-cart #payment #place_order, 
.woocommerce-checkout #payment #place_order {
    color: var(--color-background-white);
    padding: 13px 40px;
    text-decoration: none;
    text-transform: uppercase;
    border: none;
    border-radius: 36px;
    cursor: pointer;
    transition: all 0.3s ease;
	background-color: var(--color-primary);
    font-family: var(--typo-title-2-bold-font);
    font-size: var(--typo-title-2-size);
    font-weight: var(--typo-title-2-bold-fw);
    line-height: var(--typo-title-2-bold-lh);
    letter-spacing: var(--typo-title-2-bold-ls);
}


.woocommerce-checkout .woocommerce-input-wrapper{
    padding-top: 10px;
}

.woocommerce-checkout .woocommerce-input-wrapper .radio.radio-inline{
    padding-right: 10px;
}


.woocommerce-checkout input[type="radio"] {
    appearance: none;
    -webkit-appearance: none;
    width: 20px;
    height: 20px;
    border: 2px solid var(--color-neutral-beige-light);
    border-radius: 50%;
    background-color: var(--color-background-white);
    display: inline-block;
    vertical-align: middle;
    margin-right: 10px;
    cursor: pointer;
}

.woocommerce-checkout input[type="radio"]:checked {
    border: 6px solid var(--color-primary);
}

@media (max-width: 992px) {
   .cuamm-checkout-page-wrapper {
     padding: 0 10px;
   }

   .cuamm-checkout-page-wrapper .checkout.woocommerce-checkout{
      display: flex;
      flex-direction: column;
      gap: 20px;
    }
	
	.cuamm-checkout-page-wrapper .container-content-checkout {
      display: flex;
      gap: 40px;
      flex-direction: column;
    }
}